Skip to content

Address Verification

Address Verification

Request

Verifies and standardizes an address based on the provided details. This API checks for errors and returns suggestions or corrections.
Rate limit: 600 requests per minute.

Security
ApiTokenAuth
Bodyapplication/jsonrequired
streetstring(street)required
Example:"xxx Grand Avenue"
street2string(street2)

Optional secondary address line (e.g., Apt, Suite, Unit, Floor).

Example:"Apt 5B"
citystring(city)required
Example:"Los Angeles"
statestring(state)required
Example:"CA"
zipstring(zipcode)required
Example:"90006"
countrystring(country)required

2-letter code for origin country. This field’s value will be an ISO 3166-1 two-digit code.

Example:"US"
POST
/api/addresses/verify
curl -i -X POST \
  'https://api.shipsaving.com/api/addresses/verify?api_token=YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "street": "xxx Grand Avenue",
    "street2": "Apt 5B",
    "city": "Los Angeles",
    "state": "CA",
    "zip": "90006",
    "country": "US"
  }'

Responses

Address verification result

Bodyapplication/json
streetstring(street)
Example:"xxx Grand Avenue"
street2string(street2)

Optional secondary address line (e.g., Apt, Suite, Unit, Floor).

Example:"Apt 5B"
citystring(city)
Example:"Los Angeles"
statestring(state)
Example:"CA"
zipstring(zipcode)
Example:"90006"
countrystring(country)

2-letter code for origin country. This field’s value will be an ISO 3166-1 two-digit code.

Example:"US"
residentialboolean
Example:true
erroredboolean

Whether the address has an error

correctedboolean

Whether the address was corrected

standardizedboolean

Whether the address was standardized

errorsArray of objects
correctionsArray of objects
Response
{ "street": "xxx Grand Avenue", "street2": "Apt 5B", "city": "Los Angeles", "state": "CA", "zip": "90006", "country": "US", "residential": true, "errored": true, "corrected": true, "standardized": true, "errors": [ {} ], "corrections": [ {} ] }